geos::index::intervalrtree Namespace Reference

Contains classes that implement a static index on a set of 1-dimensional intervals, using an R-Tree packed based on the order of the interval midpoints. More...

## Classes

class | SortedPackedIntervalRTree
| A static index on a set of 1-dimensional intervals, using an R-Tree packed based on the order of the interval midpoints. More...

## Detailed Description

Contains classes that implement a static index on a set of 1-dimensional intervals, using an R-Tree packed based on the order of the interval midpoints.